# gen-backend

Requirements:

```bash
docker pull jmsgrogan/python-generator
```

Launch:

```bash
python generate_image.py -height 120.0 -radius 150.0 -r 100.0 -g 0.0 -b 0.0 -o 1 -s 0
```

`-o` is a unique output identifier added to file names.
`-s` is the generation stage. Stage 0 generates shapes. Stage 1 generates textures.

The output is a file `lamp_$o.png` in the launch directory, where `$o` is the unique output identifier. Three temporary files with suffix `_$o.stl` are also created.